VirtualBox compiled for unRAID


257 posts in this topic Last Reply

Recommended Posts

I missed some necessary steps when making the latest package. I'm at work now & not sure when I will get home today or what else I will have to do once there.

 

gshlomi: If you can wait until I can redo the package (or use the one nars linked that he created a few posts back that is working for him and peter_sm), then you should be able to use unRAID 5.03 and VirtualBox. If you don't want to use the one from nars or wait, then yes, downgrading should help.

Thanks.

Got no problem (that I'm aware of) to downgrade unraid, but isn't 5.0.3 and 5.0.1/2 use the same kernel, therefore the same virtualbox package, as 5.0.3?

is the safe downgrade is to 5.0 ?

thanks again

Link to post
  • Replies 256
  • Created
  • Last Reply

Top Posters In This Topic

Top Posters In This Topic

Posted Images

Yes, 5.01-5.03 are using 3.9.11p kernel... however there were some kernel modifications (not sure of exact details, but changelog for unRAID should have them). Several people were working fine on 5.02, but started having issues with 5.03. I redid the latest package with 5.03 to see if that helped, but missed a step that I normally do & did not make a change that is new.

 

Yes, if you would like to downgrade to 5.0, that is doable. I have seen a couple threads asking about this. Seems the steps to downgrade are the same as upgrading between 5.0 & 5.03.

Link to post

You have a 3rd option: compile yourself :)  If you have 4GB ram system (or more) you can use the simplified steps/scrips I did posted at:

http://lime-technology.com/forum/index.php?topic=25099.msg274366#msg274366

you will get it done yourself in about 10 min with just a few copy paste commands ;)

Thanks, but generally I prefer the simplicity of the plugin, as an end user...

Had no idea lainie is manually compiling the packages, thought it was with an automated process...

 

Link to post

You can compile package and use with (or without) the plugin exactly as you did before. Guess you just need to copy the compiled package file to the right place for the plugin to find it and install it... I don't use the plugin but should be very easy, peter_sm can help you further on that as he did it...

Link to post

log excert

 

[...]

Dec  1 09:43:50 Tower kernel: wget[15007]: segfault at c ip 4060f2eb sp bf9f41cc error 4 in libresolv-2.11.1.so[40608000+13000] (Errors)

[...]

 

john,

 

you seem to have the same problem I just experienced after upgrading to 5.03 from 5.0. a segfault in libc when running wget. that causes the startup/install to fail and not download the latest and greatest. because of that other plugins (like sabnzdb) didnt start either. I didnt have the segfault with 5.0. Unfortunately I wasn't able to fix it. there must be some plugin conflict, but I didnt have the time to investigate after 20 minutes and downgraded back to 5.0. all good now, vbox working fine.

 

 

just thought I'd share.

 

 

Link to post

 

Hello,

 

I updated to unraid 5.04 and I have some strange issues with virtualbox, all other plugins are working fine.

 

Since no kernel upgrade I thought VB 4.3.4 should works fine with 5.04.

 

I deleted packages and re-download again with same behavior. It install it but then on plugin I got only a letter V instead a full version name but in syslog I got:

 

Dec  8 11:25:35 unraid rc.virtualbox[13154]: Latest VirtualBox (v4.3.4)/(k3.9.11p) does not exist in local plugin folder, removing all existing local versions and downloading...
Dec  8 11:30:22 unraid rc.virtualbox[15723]: Latest VirtualBox Extension (v4.3.4) does not exist in local plugin folder, removing all existing local versions and downloading...
Dec  8 11:30:31 unraid rc.virtualbox[15756]: Virtualbox not installed - nothing to stop
Dec  8 11:30:31 unraid rc.virtualbox[15757]: vboxwebsrv not running - nothing to stop
Dec  8 11:30:36 unraid rc.virtualbox[15788]: Installing Virtualbox package (v4.3.4)...
Dec  8 11:30:42 unraid rc.virtualbox[16026]: Symbolically linked /mnt/cache/Apps/virtualbox/vbox-files to /root/.VirtualBox
Dec  8 11:30:42 unraid rc.virtualbox[16027]: Installing Virtualbox Extension package (v4.3.4)...
Dec  8 11:30:42 unraid rc.virtualbox[16055]: VirtualBox and/or VirtualBox Extension not installed - cannot start vboxwebsrv
Dec  8 11:30:42 unraid rc.virtualbox[16082]: VirtualBox and/or VirtualBox Extension not installed - cannot start Virtual Machines
Dec  8 11:30:42 unraid rc.virtualbox[16083]: Updated VirtualBox to version 4.3.4
Dec  8 11:31:50 unraid rc.virtualbox[16213]: Latest VirtualBox (v4.3.4)/(k3.9.11p) and VirtualBox Extension (v4.3.4) exist in local plugin folder 
Dec  8 11:31:50 unraid rc.virtualbox[16241]: No Virtual Machines running - nothing to save
Dec  8 11:31:50 unraid rc.virtualbox[16242]: vboxwebsrv not running - nothing to stop
Dec  8 11:31:55 unraid rc.virtualbox[16289]: Installing Virtualbox package (v4.3.4)...
Dec  8 11:31:55 unraid rc.virtualbox[16370]: Symbolically linked /mnt/cache/Apps/virtualbox/vbox-files to /root/.VirtualBox
Dec  8 11:31:55 unraid rc.virtualbox[16371]: Installing Virtualbox Extension package (v4.3.4)...
Dec  8 11:31:55 unraid rc.virtualbox[16399]: VirtualBox and/or VirtualBox Extension not installed - cannot start vboxwebsrv
Dec  8 11:31:55 unraid rc.virtualbox[16426]: VirtualBox and/or VirtualBox Extension not installed - cannot start Virtual Machines
Dec  8 11:31:55 unraid rc.virtualbox[16427]: Updated VirtualBox to version 4.3.4
Dec  8 11:32:28 unraid rc.virtualbox[16885]: Latest VirtualBox (v4.3.4)/(k3.9.11p) and VirtualBox Extension (v4.3.4) exist in local plugin folder 
Dec  8 11:32:28 unraid rc.virtualbox[16913]: No Virtual Machines running - nothing to save
Dec  8 11:32:28 unraid rc.virtualbox[16914]: vboxwebsrv not running - nothing to stop
Dec  8 11:32:33 unraid rc.virtualbox[17012]: Installing Virtualbox package (v4.3.4)...
Dec  8 11:32:33 unraid rc.virtualbox[17093]: Symbolically linked /mnt/cache/Apps/virtualbox/vbox-files to /root/.VirtualBox
Dec  8 11:32:33 unraid rc.virtualbox[17094]: Installing Virtualbox Extension package (v4.3.4)...
Dec  8 11:32:33 unraid rc.virtualbox[17122]: VirtualBox and/or VirtualBox Extension not installed - cannot start vboxwebsrv
Dec  8 11:32:33 unraid rc.virtualbox[17149]: VirtualBox and/or VirtualBox Extension not installed - cannot start Virtual Machines
Dec  8 11:32:33 unraid rc.virtualbox[17150]: Updated VirtualBox to version 4.3.4

 

 

any ideas?

Captura_de_pantalla_2013-12-08_a_las_11_39_33.png.45fab59345701c406fd330d9cbee41d3.png

Link to post
Hello,

 

I updated to unraid 5.04 and I have some strange issues with virtualbox, all other plugins are working fine.

 

Since no kernel upgrade I thought VB 4.3.4 should works fine with 5.04.

 

I deleted packages and re-download again with same behavior. It install it but then on plugin I got only a letter V instead a full version name but in syslog I got:

 

Code: [select]

 

Dec  8 11:25:35 unraid rc.virtualbox[13154]: Latest VirtualBox (v4.3.4)/(k3.9.11p) does not exist in local plugin folder, removing all existing local versions and downloading...

Dec  8 11:30:22 unraid rc.virtualbox[15723]: Latest VirtualBox Extension (v4.3.4) does not exist in local plugin folder, removing all existing local versions and downloading...

Dec  8 11:30:31 unraid rc.virtualbox[15756]: Virtualbox not installed - nothing to stop

Dec  8 11:30:31 unraid rc.virtualbox[15757]: vboxwebsrv not running - nothing to stop

Dec  8 11:30:36 unraid rc.virtualbox[15788]: Installing Virtualbox package (v4.3.4)...

Dec  8 11:30:42 unraid rc.virtualbox[16026]: Symbolically linked /mnt/cache/Apps/virtualbox/vbox-files to /root/.VirtualBox

Dec  8 11:30:42 unraid rc.virtualbox[16027]: Installing Virtualbox Extension package (v4.3.4)...

Dec  8 11:30:42 unraid rc.virtualbox[16055]: VirtualBox and/or VirtualBox Extension not installed - cannot start vboxwebsrv

Dec  8 11:30:42 unraid rc.virtualbox[16082]: VirtualBox and/or VirtualBox Extension not installed - cannot start Virtual Machines

Dec  8 11:30:42 unraid rc.virtualbox[16083]: Updated VirtualBox to version 4.3.4

Dec  8 11:31:50 unraid rc.virtualbox[16213]: Latest VirtualBox (v4.3.4)/(k3.9.11p) and VirtualBox Extension (v4.3.4) exist in local plugin folder

Dec  8 11:31:50 unraid rc.virtualbox[16241]: No Virtual Machines running - nothing to save

Dec  8 11:31:50 unraid rc.virtualbox[16242]: vboxwebsrv not running - nothing to stop

Dec  8 11:31:55 unraid rc.virtualbox[16289]: Installing Virtualbox package (v4.3.4)...

Dec  8 11:31:55 unraid rc.virtualbox[16370]: Symbolically linked /mnt/cache/Apps/virtualbox/vbox-files to /root/.VirtualBox

Dec  8 11:31:55 unraid rc.virtualbox[16371]: Installing Virtualbox Extension package (v4.3.4)...

Dec  8 11:31:55 unraid rc.virtualbox[16399]: VirtualBox and/or VirtualBox Extension not installed - cannot start vboxwebsrv

Dec  8 11:31:55 unraid rc.virtualbox[16426]: VirtualBox and/or VirtualBox Extension not installed - cannot start Virtual Machines

Dec  8 11:31:55 unraid rc.virtualbox[16427]: Updated VirtualBox to version 4.3.4

Dec  8 11:32:28 unraid rc.virtualbox[16885]: Latest VirtualBox (v4.3.4)/(k3.9.11p) and VirtualBox Extension (v4.3.4) exist in local plugin folder

Dec  8 11:32:28 unraid rc.virtualbox[16913]: No Virtual Machines running - nothing to save

Dec  8 11:32:28 unraid rc.virtualbox[16914]: vboxwebsrv not running - nothing to stop

Dec  8 11:32:33 unraid rc.virtualbox[17012]: Installing Virtualbox package (v4.3.4)...

Dec  8 11:32:33 unraid rc.virtualbox[17093]: Symbolically linked /mnt/cache/Apps/virtualbox/vbox-files to /root/.VirtualBox

Dec  8 11:32:33 unraid rc.virtualbox[17094]: Installing Virtualbox Extension package (v4.3.4)...

Dec  8 11:32:33 unraid rc.virtualbox[17122]: VirtualBox and/or VirtualBox Extension not installed - cannot start vboxwebsrv

Dec  8 11:32:33 unraid rc.virtualbox[17149]: VirtualBox and/or VirtualBox Extension not installed - cannot start Virtual Machines

Dec  8 11:32:33 unraid rc.virtualbox[17150]: Updated VirtualBox to version 4.3.4

 

 

 

any ideas?

 

Same here when virtualbox goes to install it starts to then screen refreshes with only a v for version instead on v3.4.3 - also noted that in the install directory of the 3.4.3 package there might be a doinst.sh file that is not there, that was in previous tgz packages.

Link to post

I did a own compiling , and the vbox is running OK

 

More info here --> http://lime-technology.com/forum/index.php?topic=25099.msg274366#msg274366

 

//Peter

 

As I understand it, Unraid 5.0.3  and 5.0.4 use a different kernal than the one with which Virtualbox was compiled with. If you recompiled VB that eliminated the kernal incompatibililty.

 

The VB plugin probably needs to check which version of unraid is in use and then download the appropriately compiled version of VB.

 

A related problem is the webserver that is needed to access the VB admin pages. I use the SimpleFeatures webserver plugin, but SF has problems going past 5.0.2.  Do you use the SF webserver or do you have a different webserver? 

Link to post
  • 2 weeks later...

any news about a working, safe, compiled version of virtualbox for 5.0.4 ?

thanks

What is wrong with the version downloaded from alaine via the plugin?

Please note I fixed the plugin to show version is correctly installed.

Link to post

any news about a working, safe, compiled version of virtualbox for 5.0.4 ?

thanks

What is wrong with the version downloaded from alaine via the plugin?

Please note I fixed the plugin to show version is correctly installed.

Last time I tried making virtualbox work with 5.0.3, had kernel panics...

Was it fixed?

Link to post

Hi.

Using the plugin on 5.0.4 with the packaged downloaded from http://vbox.a1aina.com/.

Pressing the "Start vboxwebsrv" refreshes the page after a few seconds, but nothing happen.

Looking at the log at my app folder (/mnt/cache/apps/virtualbox/vbox) I can see :

00:00:00.108000 nspr-2   Loading settings file "/root/.VirtualBox/VirtualBox.xml" with version "1.12-linux"
00:00:00.109209 nspr-2   Failed to open "/dev/vboxdrvu", errno=2, rc=VERR_VM_DRIVER_NOT_INSTALLED
00:00:00.109461 nspr-2   VDInit finished
00:00:07.529675 Watcher  ERROR [COM]: aRC=E_ACCESSDENIED (0x80070005) aIID={fafa4e17-1ee2-4905-a10e-fe7c18bf5554} aComponent={VirtualBox} aText={The object is not ready}, preserve=false

Any help would be appreciated.

Shlomi

Link to post

Hi.

Using the plugin on 5.0.4 with the packaged downloaded from http://vbox.a1aina.com/.

Pressing the "Start vboxwebsrv" refreshes the page after a few seconds, but nothing happen.

Looking at the log at my app folder (/mnt/cache/apps/virtualbox/vbox) I can see :

00:00:00.108000 nspr-2   Loading settings file "/root/.VirtualBox/VirtualBox.xml" with version "1.12-linux"
00:00:00.109209 nspr-2   Failed to open "/dev/vboxdrvu", errno=2, rc=VERR_VM_DRIVER_NOT_INSTALLED
00:00:00.109461 nspr-2   VDInit finished
00:00:07.529675 Watcher  ERROR [COM]: aRC=E_ACCESSDENIED (0x80070005) aIID={fafa4e17-1ee2-4905-a10e-fe7c18bf5554} aComponent={VirtualBox} aText={The object is not ready}, preserve=false

Any help would be appreciated.

Shlomi

Looks like the same problem I am having and there are several others on the other VirtualBox thread. The recent virtualization discussions has stimulated my interest in this again as a learning exercise. I used to have this working several months ago, but removed it. Now I am having this problem getting it going again.

 

I am on unRAID 5.0.4 and using the bonienl's recent release of the Dynamix webGUI and webserver to run phpvirtualbox on, but I think my problem is with getting vboxwebsrv running so phpvirtualbox will have something to connect to. My symptoms are exactly the same as yours.

Link to post

As said before on this same topic lainie's 4.3.4 package for 3.9.11p is broken, it will not work, and lainie seems too busy to fix it at this moment.

 

I did "compiled" vbox 4.3.4 myself on unRaid 5.0.3, I think it should also be ok for 5.0.4 since same kernel and minor config changes on it apparently... if you want to try it:

http://nars.aloj.net/temp/unraid/vbox-4.3.4-unRAID-3.9.11p.tgz

 

Else you can use these simplified steps/scripts to "compile" it yourself:

http://lime-technology.com/forum/index.php?topic=25099.msg274366#msg274366

 

I didn't bothered to upgrade unRaid to 5.0.4 yet, since nothing really new on it that affects me, I'm waiting 5.0.5 that should be out soon apparently, and will then "compile" new vbox 4.3.6 on it and upload new package if lainie still busy to care about this.

Link to post

As said before on this same topic lainie's 4.3.4 package for 3.9.11p is broken, it will not work, and lainie seems too busy to fix it at this moment.

 

I did compiled vbox 4.3.4 myself on unRaid 5.0.3, I think it should also be ok for 5.0.4 since same kernel and minor config changes on it apparently... if you want to try it:

http://nars.aloj.net/temp/unraid/vbox-4.3.4-unRAID-3.9.11p.tgz

 

Else you can use these simplified steps/scripts to compile it yourself:

http://lime-technology.com/forum/index.php?topic=25099.msg274366#msg274366

 

I didn't bothered to upgrade unRaid to 5.0.4 yet, since nothing really new on it that affects me, I'm waiting 5.0.5 that should be out soon apparently, and will then compile new vbox 4.3.6 on it and upload new package if lainie still busy to care about this.

 

So it wasn't my fault I couldn't get the server running?  Phew!

 

Sent from my Nexus 7 using Tapatalk 4

Link to post

As said before on this same topic lainie's 4.3.4 package for 3.9.11p is broken, it will not work, and lainie seems too busy to fix it at this moment.

 

I did compiled vbox 4.3.4 myself on unRaid 5.0.3, I think it should also be ok for 5.0.4 since same kernel and minor config changes on it apparently... if you want to try it:

http://nars.aloj.net/temp/unraid/vbox-4.3.4-unRAID-3.9.11p.tgz

 

Else you can use these simplified steps/scripts to compile it yourself:

http://lime-technology.com/forum/index.php?topic=25099.msg274366#msg274366

 

I didn't bothered to upgrade unRaid to 5.0.4 yet, since nothing really new on it that affects me, I'm waiting 5.0.5 that should be out soon apparently, and will then compile new vbox 4.3.6 on it and upload new package if lainie still busy to care about this.

 

So it wasn't my fault I couldn't get the server running?  Phew!

 

Sent from my Nexus 7 using Tapatalk 4

 

No. It's all stated 1 or 2 pages back on this topic ;)

Link to post

As said before on this same topic lainie's 4.3.4 package for 3.9.11p is broken, it will not work, and lainie seems too busy to fix it at this moment.

 

I did compiled vbox 4.3.4 myself on unRaid 5.0.3, I think it should also be ok for 5.0.4 since same kernel and minor config changes on it apparently... if you want to try it:

http://nars.aloj.net/temp/unraid/vbox-4.3.4-unRAID-3.9.11p.tgz

 

Else you can use these simplified steps/scripts to compile it yourself:

http://lime-technology.com/forum/index.php?topic=25099.msg274366#msg274366

 

I didn't bothered to upgrade unRaid to 5.0.4 yet, since nothing really new on it that affects me, I'm waiting 5.0.5 that should be out soon apparently, and will then compile new vbox 4.3.6 on it and upload new package if lainie still busy to care about this.

 

So it wasn't my fault I couldn't get the server running?  Phew!

 

Sent from my Nexus 7 using Tapatalk 4

 

No. It's all stated 1 or 2 pages back on this topic ;)

Thanks a lot. Got phpvirtualbox going. Now to decide on an OS to play with.

Link to post

As said before on this same topic lainie's 4.3.4 package for 3.9.11p is broken, it will not work, and lainie seems too busy to fix it at this moment.

 

I did compiled vbox 4.3.4 myself on unRaid 5.0.3, I think it should also be ok for 5.0.4 since same kernel and minor config changes on it apparently... if you want to try it:

http://nars.aloj.net/temp/unraid/vbox-4.3.4-unRAID-3.9.11p.tgz

 

Else you can use these simplified steps/scripts to compile it yourself:

http://lime-technology.com/forum/index.php?topic=25099.msg274366#msg274366

 

I didn't bothered to upgrade unRaid to 5.0.4 yet, since nothing really new on it that affects me, I'm waiting 5.0.5 that should be out soon apparently, and will then compile new vbox 4.3.6 on it and upload new package if lainie still busy to care about this.

Will the scripts you've posted for self-compilation work with 4.3.6?

will there be any leftovers after a server restart ?

thanks

Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.